Skip to main content
`Ctrl`+`K`

# PetscObjectSAWsSetBlock

Sets whether an object will block at `PetscObjectSAWsBlock()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSAWsSetBlock(PetscObject obj, PetscBool flg)

Collective

## Input Parameters

- obj - the PETSc variable

- flg - whether it should block

## See Also

`PetscObjectSetName()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsBlock()`, `PetscSAWsBlock()`

## Level

advanced

## Location

src/sys/ams/pams.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages